@import './custom';
@import './variables';


* {
  background-color: #CCCCCC;

  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.containerGeneral {
  box-sizing: border-box;
  width: 100%;

}

.containerImage {
  // background-color: royalblue;
  display: flex;
  justify-content: center;
}

.imgPrincipal {
  background-color: transparent;
  min-width: 200px;
  max-width: 500px;
  border-radius: 5%;
}

.btn {
  box-shadow: inset 0px 1px 0px 0px #f29c93;
  background: linear-gradient(to bottom, #fe1a00 5%, #ce0100 100%);
  background-color: #fe1a00;
  border-radius: 6px;
  border: 1px solid #d83526;
  display: inline-block;
  cursor: pointer;
  color: #000000;
  font-family: Verdana;
  font-size: 15px;
  padding: 6px 24px;
  text-decoration: none;
  text-shadow: 0px 1px 0px #b23e35;
}

.btn:hover {
  background: linear-gradient(to bottom, #ce0100 5%, #fe1a00 100%);
  background-color: #ce0100;
}

.btn:active {
  position: relative;
  top: 1px;
}


.containerApi {
  width: 80%;
  margin: 0% 10% 4% 10%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  padding-bottom: 3%;
  // border-bottom: 1px solid black;
  -webkit-box-shadow: 0px 23px 10px -12px ;
  box-shadow: 0px 16px 15px -8px rgba(107,107,107,0.8);
  box-shadow: 0px 23px 10px -12px rgba(107,107,107,0.8);
}

// .containerApi {
// display: flex;
// width: 100%;
// height: 90px;
// background-color: violet;
// justify-content: space-around;
// }

.containerButtons {
  width: 75%;
  margin-top: 2%;
  // background-color: yellow;
}

.containerListPeliculas {
  // background-color: grey;
  height: 100%;
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  align-items: flex-start;
  flex-direction: row;
  align-content: center;
}

.containerPelicula {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-content: center;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
  width: 40%;
  height: 20em;
  margin: 15px 0px;
  border: 7px groove rgba(255,0,0,0.67);
  // background-color: red;
  border-radius: 20px;
  // GRADIANTE FONDO
  background: #545454;
  background: -moz-linear-gradient(-45deg, #545454 0%, #737373 50%, #CCCCCC 100%);
  background: -webkit-linear-gradient(-45deg, #545454 0%, #737373 50%, #CCCCCC 100%);
  background: linear-gradient(135deg, #545454 0%, #737373 50%, #CCCCCC 100%);
}

.hide {
  display: none;
}

.containerDetallePelicula {

  display: flex;
  height: 40%;
  // border: 1px solid black;
  font-size: 12px;
  flex-direction: row;
  flex-wrap: nowrap;
  align-items: center;

}

.infoPelicula {
  background-color: transparent;
  display: flex;
  margin: 5px 0px;
}

.infoTitulo {
  font-weight: 600;
}

.botonInfo {
  width: 110px;
  height: 25px;
  margin: 5px 0px;
  //COLORES
  box-shadow: 3px 4px 0px 0px #899599;
  background: linear-gradient(to bottom, #ededed 5%, #bab1ba 100%);
  background-color: #ededed;
  border-radius: 15px;
  border: 1px solid #d6bcd6;
  display: inline-block;
  cursor: pointer;
  color: #000000;
  font-family: Arial;
  font-size: 12PX;
  padding: 7px 25px;
  text-decoration: none;
  text-shadow: 0px 1px 0px #e1e2ed;
}

.botonInfo:hover {
  background: linear-gradient(to bottom, #dfdfdf 5%, #ededed 100%);
  background-color: #dfdfdf;
}

.botonInfo {
  position: relative;
  top: 1px;
}


.imgPoster {
  width: 100%;
  height: 100%;
  border: 7px groove rgba(255,0,0,0.67);
}

.row {
  display: flex;
  margin-right: 2%;
  margin-left: 2%;
  justify-content: center;
}


// ESTRELLAS PUNTUACION
.stars-outer {
  display: inline-block;
  position: relative;
  font-family: FontAwesome;
  background-color: transparent;
}

.stars-outer::before {
  content: "\f006 \f006 \f006 \f006 \f006 \f006 \f006 \f006 \f006 \f006";
  background-color: transparent;
}

.stars-inner {
  font-family: FontAwesome;
  position: absolute;
  background-color: transparent;
  top: 0;
  left: 0;
  white-space: nowrap;
  overflow: hidden;
  width: 0%;
}

.stars-inner::before {
  content: "\f005 \f005 \f005 \f005 \f005 \f005 \f005 \f005 \f005 \f005";
  color: #f8ce0b;
  background-color: transparent;
}

.btnNav {
  display: flex;
    justify-content: space-evenly;
    align-items: flex-end;
    flex-wrap: nowrap;
    flex-direction: row;
    align-content: center;
    margin-bottom: 5%;
}

.btnsNavs {
	box-shadow:inset 0px 1px 0px 0px #ffffff;
	background:linear-gradient(to bottom, #cccccc 5%, #dfdfdf 100%);
	background-color:#cccccc;
	border-radius:6px;
	border:1px solid #dcdcdc;
	display:inline-block;
	cursor:pointer;
	color:#777777;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #ffffff;
}
.btnsNavs:hover {
	background:linear-gradient(to bottom, #dfdfdf 5%, #cccccc 100%);
	background-color:#dfdfdf;
}
.btnsNavs:active {
	position:relative;
	top:1px;
}
